      ******************************************************************
      **                                                              **
      **                  WebSphere MQ for Windows                    **
      **                                                              **
      **  FILE NAME:      CMQRFHL                                     **
      **                                                              **
      **  DESCRIPTION:    Rules and Formatting Header Structure       **
      **                                                              **
      ******************************************************************
      **  <START_COPYRIGHT>                                           **
      **  Licensed Materials - Property of IBM                        **
      **                                                              **
      **  5724-B41                                                    **
      **  (C) Copyright IBM Corp. 1999, 2002 All Rights Reserved.     **
      **                                                              **
      **  US Government Users Restricted Rights - Use, duplication or **
      **  disclosure restricted by GSA ADP Schedule Contract with     **
      **  IBM Corp.                                                   **
      **  <END_COPYRIGHT>                                             **
      ******************************************************************
      **                                                              **
      **  FUNCTION:       This file declares the structure MQRFH,     **
      **                  which is used by the main MQI.              **
      **                                                              **
      **  PROCESSOR:      COBOL                                       **
      **                                                              **
      ******************************************************************
 
      **   MQRFH structure
        10 MQRFH.
      **    Structure identifier
         15 MQRFH-STRUCID        PIC X(4).
      **    Structure version number
         15 MQRFH-VERSION        PIC S9(9) BINARY.
      **    Total length of MQRFH including NAMEVALUESTRING
         15 MQRFH-STRUCLENGTH    PIC S9(9) BINARY.
      **    Numeric encoding of data that follows NAMEVALUESTRING
         15 MQRFH-ENCODING       PIC S9(9) BINARY.
      **    Character set identifier of data that follows
      **    NAMEVALUESTRING
         15 MQRFH-CODEDCHARSETID PIC S9(9) BINARY.
      **    Format name of data that follows NAMEVALUESTRING
         15 MQRFH-FORMAT         PIC X(8).
      **    Flags
         15 MQRFH-FLAGS          PIC S9(9) BINARY.
 
      ******************************************************************
      **  End of CMQRFHL                                              **
      ******************************************************************
